require 'uu/os/rest/dto'
require 'uu/os/uesuri'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Activity.
    module Activity
      # @see Activity#set_competent_role
      class ActivitySetCompetentRole < UU::OS::REST::DTO

        # @see Activity#set_competent_role
        attr_accessor :competent_role_uri
        
        def competent_role_uri 
          attributes[:competentRoleUri]
        end

        def competent_role_uri=(val) 
          if val
            attributes[:competentRoleUri] = UU::OS::UESURI.new(val)
          else
            attributes[:competentRoleUri] = nil
          end
        end

      end
    end

  end
end
