require 'uu/os/rest/paging_criteria'



module UU
  module OS
    module AppMetaModel
      class AppMetaModelGetEntryList < UU::OS::REST::PagingCriteria

        # @see AppMetaModel#get_entry_list
        attr_accessor :query

        # @see AppMetaModel#get_entry_list
        attr_accessor :recursive

        def query
          attributes[:query]
        end

        def query=(val)
          attributes[:query] = val
        end

        def recursive
          attributes[:recursive]
        end

        def recursive=(val)
          attributes[:recursive] = val
        end

      end
    end

  end
end
