require 'uu/os/rest/dto'
require 'uu/os/uesuri'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Meta Permission.
    module MetaPermission
      # @see MetaPermission#set_mask_attributes
      class MetaPermissionSetMaskAttributes < UU::OS::REST::DTO

        # @see MetaPermission#set_mask_attributes
        attr_accessor :name

        # @see MetaPermission#set_mask_attributes
        attr_accessor :code

        # @see MetaPermission#set_mask_attributes
        attr_accessor :description

        # @see MetaPermission#set_mask_attributes
        attr_accessor :default_mask

        # @see MetaPermission#set_mask_attributes
        attr_accessor :labels
        def name
          attributes[:name]
        end

        def name=(val)
          attributes[:name] = val
        end

        def code
          attributes[:code]
        end

        def code=(val)
          attributes[:code] = val
        end

        def description
          attributes[:description]
        end

        def description=(val)
          attributes[:description] = val
        end

        def default_mask
          attributes[:defaultMask]
        end

        def default_mask=(val)
          attributes[:defaultMask] = val
        end

        def labels
          attributes[:labels]
        end

        def labels=(val)
          attributes[:labels] = val
        end

      end
    end

  end
end
