require 'uu/os/rest/paging_criteria'

module UU
  module OS
    module ImageCatalog

      # @see ImageCatalog#get_image_list
      class ImageCatalogGetImageList < UU::OS::REST::PagingCriteria

        # Query parameters. Attribute is optional.
        # @return [Hash]
        attr_accessor :query_parameters

        def query_parameters
          attributes[:queryParameters]
        end

        def query_parameters=(val)
          attributes[:queryParameters] = val
        end

      end
    end

  end
end
